package it.unisannio.ding.ids.wedroid.app.data.dao;

import androidx.lifecycle.LiveData;
import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;
import androidx.room.Query;

import java.util.List;

//import io.reactivex.Completable;
import it.unisannio.ding.ids.wedroid.app.data.entity.WList;

@Dao
public interface WListDao {

    @Query("SELECT * from wlist_table ORDER BY title ASC")
    LiveData<List<WList>> getAllWList();

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insert(WList wList);

    @Delete
    void delete(WList wList);

}
