package it.unisannio.ding.ids.wedroid.app.data.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "board_table")
data class Board(
    @PrimaryKey @ColumnInfo(name = "id") val id: String,
    @ColumnInfo(name = "title") val title: String = ""
)

fun it.unisannio.ding.ids.wedroid.wrapper.entity.Board.convert(): Board {
    return Board(this.id, this.title)
}
