package it.unisannio.ding.ids.wedroid.wrapper.entity;

import com.google.gson.annotations.SerializedName;

import java.util.Date;

public class Comment {
    @SerializedName("_id")
    private String id;
    @SerializedName(value = "comment", alternate = "text")
    private String comment;
    @SerializedName(value = "authorId", alternate = "userId")
    private String authorId;
    private String boardId;
    private String cardId;
    private Date createdAt;
    private Date modifiedAt;

    public String getId() {
        return id;
    }

    public String getComment() {
        return comment;
    }

    public String getAuthorId() {
        return authorId;
    }

    public String getBoardId() {
        return boardId;
    }

    public String getCardId() {
        return cardId;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Date getModifiedAt() {
        return modifiedAt;
    }

    @Override
    public String toString() {
        return "Comment{" +
                "id='" + id + '\'' +
                ", comment='" + comment + '\'' +
                ", authorId='" + authorId + '\'' +
                ", boardId='" + boardId + '\'' +
                ", cardId='" + cardId + '\'' +
                ", createdAt=" + createdAt +
                ", modifiedAt=" + modifiedAt +
                '}';
    }
}
