package it.unisannio.ding.ids.wedroid.wrapper.entity;

public class Member {
    private String userId;
    private boolean isActive;
    private boolean isAdmin;
    private boolean isNoComments;
    private boolean isCommentOnly;

    public Member(String userId, boolean isActive, boolean isAdmin, boolean isNoComments, boolean isCommentOnly) {
        this.userId = userId;
        this.isActive = isActive;
        this.isAdmin = isAdmin;
        this.isNoComments = isNoComments;
        this.isCommentOnly = isCommentOnly;
    }

    public String getUserId() {
        return userId;
    }

    public boolean isActive() {
        return isActive;
    }

    public boolean isAdmin() {
        return isAdmin;
    }

    public boolean isNoComments() {
        return isNoComments;
    }

    public boolean isCommentOnly() {
        return isCommentOnly;
    }

    @Override
    public String toString() {
        return "Member{" +
                "userId='" + userId + '\'' +
                ", isActive=" + isActive +
                ", isAdmin=" + isAdmin +
                ", isNoComments=" + isNoComments +
                ", isCommentOnly=" + isCommentOnly +
                '}';
    }
}
