package it.unisannio.ding.ids.wedroid.wrapper.entity;

import java.util.List;

public class UserProfile {

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public List<String> getEmailBuffer() {
        return emailBuffer;
    }

    public void setEmailBuffer(List<String> emailBuffer) {
        this.emailBuffer = emailBuffer;
    }

    public String getFullname() {
        return fullname;
    }

    public void setFullname(String fullname) {
        this.fullname = fullname;
    }

    public boolean isShowDesktopDragHandles() {
        return showDesktopDragHandles;
    }

    public void setShowDesktopDragHandles(boolean showDesktopDragHandles) {
        this.showDesktopDragHandles = showDesktopDragHandles;
    }

    public boolean isHiddenSystemMessages() {
        return hiddenSystemMessages;
    }

    public void setHiddenSystemMessages(boolean hiddenSystemMessages) {
        this.hiddenSystemMessages = hiddenSystemMessages;
    }

    public boolean isHiddenMinicardLabelText() {
        return hiddenMinicardLabelText;
    }

    public void setHiddenMinicardLabelText(boolean hiddenMinicardLabelText) {
        this.hiddenMinicardLabelText = hiddenMinicardLabelText;
    }

    public String getInitials() {
        return initials;
    }

    public void setInitials(String initials) {
        this.initials = initials;
    }

    public List<String> getInvitedBoards() {
        return invitedBoards;
    }

    public void setInvitedBoards(List<String> invitedBoards) {
        this.invitedBoards = invitedBoards;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public List<String> getNotifications() {
        return notifications;
    }

    public void setNotifications(List<String> notifications) {
        this.notifications = notifications;
    }

    public int getShowCardsCountAt() {
        return showCardsCountAt;
    }

    public void setShowCardsCountAt(int showCardsCountAt) {
        this.showCardsCountAt = showCardsCountAt;
    }

    public List<String> getStarredBoards() {
        return starredBoards;
    }

    public void setStarredBoards(List<String> starredBoards) {
        this.starredBoards = starredBoards;
    }

    public String getIcode() {
        return icode;
    }

    public void setIcode(String icode) {
        this.icode = icode;
    }

    public BoardView getBoardView() {
        return boardView;
    }

    public void setBoardView(BoardView boardView) {
        this.boardView = boardView;
    }

    public ListSortBy getListSortBy() {
        return listSortBy;
    }

    public void setListSortBy(ListSortBy listSortBy) {
        this.listSortBy = listSortBy;
    }

    public String getTemplatesBoardId() {
        return templatesBoardId;
    }

    public void setTemplatesBoardId(String templatesBoardId) {
        this.templatesBoardId = templatesBoardId;
    }

    public String getCardTemplatesSwimlaneId() {
        return cardTemplatesSwimlaneId;
    }

    public void setCardTemplatesSwimlaneId(String cardTemplatesSwimlaneId) {
        this.cardTemplatesSwimlaneId = cardTemplatesSwimlaneId;
    }

    public String getListTemplatesSwimlaneId() {
        return listTemplatesSwimlaneId;
    }

    public void setListTemplatesSwimlaneId(String listTemplatesSwimlaneId) {
        this.listTemplatesSwimlaneId = listTemplatesSwimlaneId;
    }

    public String getBoardTemplatesSwimlaneId() {
        return boardTemplatesSwimlaneId;
    }

    public void setBoardTemplatesSwimlaneId(String boardTemplatesSwimlaneId) {
        this.boardTemplatesSwimlaneId = boardTemplatesSwimlaneId;
    }

    @Override
    public String toString() {
        return "UserProfile{" +
                "avatarUrl='" + avatarUrl + '\'' +
                ", emailBuffer=" + emailBuffer +
                ", fullname='" + fullname + '\'' +
                ", showDesktopDragHandles=" + showDesktopDragHandles +
                ", hiddenSystemMessages=" + hiddenSystemMessages +
                ", hiddenMinicardLabelText=" + hiddenMinicardLabelText +
                ", initials='" + initials + '\'' +
                ", invitedBoards=" + invitedBoards +
                ", language='" + language + '\'' +
                ", notifications=" + notifications +
                ", showCardsCountAt=" + showCardsCountAt +
                ", starredBoards=" + starredBoards +
                ", icode='" + icode + '\'' +
                ", boardView=" + boardView +
                ", listSortBy=" + listSortBy +
                ", templatesBoardId='" + templatesBoardId + '\'' +
                ", cardTemplatesSwimlaneId='" + cardTemplatesSwimlaneId + '\'' +
                ", listTemplatesSwimlaneId='" + listTemplatesSwimlaneId + '\'' +
                ", boardTemplatesSwimlaneId='" + boardTemplatesSwimlaneId + '\'' +
                '}';
    }

    private String avatarUrl;
    private List<String> emailBuffer;
    private String fullname;
    private boolean showDesktopDragHandles;
    private boolean hiddenSystemMessages;
    private boolean hiddenMinicardLabelText;
    private String initials;
    private List<String> invitedBoards;
    private String language;
    private List<String> notifications;
    private int showCardsCountAt;
    private List<String> starredBoards;
    private String icode;
    private BoardView boardView;
    private ListSortBy listSortBy;
    private String templatesBoardId;
    private String cardTemplatesSwimlaneId;
    private String listTemplatesSwimlaneId;
    private String boardTemplatesSwimlaneId;

}
