package it.unisannio.ding.ids.wedroid.app.data.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "wlist_table")
data class WList(
    @PrimaryKey @ColumnInfo(name = "id") val id: String,
    @ColumnInfo(name = "title") val title: String = ""
)

fun it.unisannio.ding.ids.wedroid.wrapper.entity.WList.convert(): WList {
    return WList(this.id, this.title)
}
